Subject: rebuild repo from data, packfiles?

From: tom fogal <[email-masked]>
Date: Sat, 20 Nov 2010 15:54:16 -0700

Long story short, I lost some metadata in a repo I've got.  However,
my entire .git/objects/ && subdirs is intact, so I'm hopeful my data's
still accessible in some form.

I'm trying to piece together the git metadata that goes in .git (no
subdirs) based on what I've got in other repos && what fails when I
strace git, in hopes I can rebuild my reflog to grab all the work
I only had locally.  Currently I can't `log' or `reflog' or really
anything, because git thinks this directory isn't a git repo.

I'm curious if there's ideas out there for rebuilding my repo based on
the repo's data.  Is there a command I could point at .git/objects and
have it repopulate the repo?

Thanks,

-tom